Summary:	Complete front-end for mplayer written in Qt5
Name:		smplayer
Version:	17.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Players
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
Patch0:		%{name}-17.2.0-optflags.patch
Patch2:		%{name}-16.8.0-use-system-qtsingleapplication.patch

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qtsingleapplication-qt5-devel

Requires:	mplayer		>= 1.0-1.rc1
Recommends:	smplayer-skins
Recommends:	smplayer-themes
Recommends:	smtube

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs
to more advanced features like support for MPlayer filters and more.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -q
%autopatch -p1

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' *.txt

# fix file-not-utf8
iconv -f iso8859-1 -t utf-8 Changelog > Changelog.conv && mv -f Changelog.conv Changelog

%build
%setup_compile_flags
%make_build PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
%make_install PREFIX=%{_prefix}

# add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | %__sed -e 's|^.||' | sed -e \
's:\(.*/translations/smplayer_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:' \
	>> %{name}.lang

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_bindir}/simple_web_server
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_mandir}/man1/%{name}.*


%changelog
* Sat Feb 25 2017 daviddavid <daviddavid> 17.2.0-1.mga6
+ Revision: 1087802
- new version: 17.2.0
- rename and rebase optflags patch

* Fri Nov 25 2016 daviddavid <daviddavid> 16.11.0-1.mga6
+ Revision: 1070154
- new version: 16.11.0

* Fri Sep 30 2016 daviddavid <daviddavid> 16.8.0-2.mga6
+ Revision: 1057800
- fix path should be "/usr/" and not "/usr/local/" (mga#19492)

* Sun Aug 14 2016 daviddavid <daviddavid> 16.8.0-1.mga6
+ Revision: 1046416
- new version: 16.8.0
- add patch to use system qtsingleapplication
- rename and rediff optflags patch to fix docdir path
- fix wrong-file-end-of-line-encoding
- fix file-not-utf8
- improve the %%lang macro for all translations files

* Tue Mar 29 2016 daviddavid <daviddavid> 16.4.0-1.mga6
+ Revision: 996375
- new version: 16.4.0

* Fri Jan 15 2016 daviddavid <daviddavid> 16.1.0-1.mga6
+ Revision: 923335
- new version: 16.1.0

* Wed Dec 02 2015 daviddavid <daviddavid> 15.11.0-1.mga6
+ Revision: 907602
- new version: 15.11.0

* Thu Nov 12 2015 daviddavid <daviddavid> 15.9.0-1.mga6
+ Revision: 902800
- new version: 15.9.0
- switch build to Qt5
- update file list

* Mon Feb 09 2015 akien <akien> 14.9.0-2.mga5
+ Revision: 814359
- Recommend smplayer-skins

* Sat Feb 07 2015 akien <akien> 14.9.0-1.mga5
+ Revision: 813921
- Version 14.9.0

* Wed Oct 15 2014 umeabot <umeabot> 14.3.0-3.mga5
+ Revision: 742918
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.3.0-2.mga5
+ Revision: 689217
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + wally <wally>
    - drop old Mdv era obsoletes/provides

* Fri Aug 15 2014 wally <wally> 14.3.0-1.mga5
+ Revision: 662568
- new version 14.3.0

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6-2.mga4
+ Revision: 532282
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 0.8.6-1.mga4
+ Revision: 467672
- new version 0.8.6

* Fri May 31 2013 fwang <fwang> 0.8.5-1.mga4
+ Revision: 433565
- update file list
- new version 0.8.5

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 382220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 324164
- update file list
- update rpm group
- new version 0.8.2

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.8.1-1.mga3
+ Revision: 298279
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.8.0-1.mga3
+ Revision: 248389
- new version 0.8.0

* Mon Mar 05 2012 juancho <juancho> 0.7.1-3.mga2
+ Revision: 218332
- Removed not important info from %%description

* Sun Mar 04 2012 juancho <juancho> 0.7.1-2.mga2
+ Revision: 217827
- Added Suggests: smtube

* Sun Mar 04 2012 juancho <juancho> 0.7.1-1.mga2
+ Revision: 217737
- Updated to 0.7.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 0.7.0-1.mga2
+ Revision: 208835
- new version 0.7.0

* Sat Dec 31 2011 fwang <fwang> 0.6.10-1.mga2
+ Revision: 189235
- update file list
- new version 0.6.10

* Sat Feb 19 2011 ahmad <ahmad> 0.6.9-3.mga1
+ Revision: 53951
- drop old/unneeded scriptlets
- use the current qt4 Epoch
- imported package smplayer

